#include "mars/MTime.h"

Double_t dates[] = {
    MTime(2009,  3, 30).GetAxisTime(), // Start of M2 observations
    MTime(2009,  4, 11).GetAxisTime(), // New pointing model
    MTime(2009,  5, 11).GetAxisTime(), // New pointing model
    MTime(2009,  6, 11).GetAxisTime(), // Something happened (readon unknown)
    MTime(2009,  8, 17).GetAxisTime(), // New pointing model
    MTime(2009,  9,  9).GetAxisTime(), // Something happened (reason unknown)
    MTime(2010,  2,  1).GetAxisTime(), // New pointing model
    // MTime(2010,  2,  3).GetAxisTime(), // New LUTs
    MTime(2010,  2, 26).GetAxisTime(), // New pointing model
    MTime(2010,  3, 31).GetAxisTime(), // New pointing model
    MTime(2010, 11,  2).GetAxisTime(), // A Change in Superarehucas (it was always focussed to the
                                       // position at which moving started, not where it ended
                                       // (This mainly affects the quality of the TPoints not the pointing model)
    MTime(2010, 12, 01).GetAxisTime(), // New pointing model
    MTime(-1).GetAxisTime(),
    -1
};

#include "plot.C"

void plot_m2()
{
    MDirIter Next;
    Next.AddDirectory("tpoint/m2", "tpoint*.txt", -1);

    plot(Next);
}
